Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.junit.client
Class TimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.junit.client.TimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public final class TimeoutException

extends java.lang.RuntimeException

This exception is thrown when a `GWTTestCase`-derived class runs a test in asynchronous mode and fails to complete within a specified timeout period.

See Also:
  `GWTTestCase.delayTestFinish(int)`, Serialized Form

Constructor Summary
`TimeoutException()`
`TimeoutException(int timeoutMillis)` Constructs a timeout exception for a given number of milliseconds.
`TimeoutException(java.lang.String message)` Constructs a timeout exception with the specified detail message.
`TimeoutException(java.lang.String message, java.lang.Throwable cause)` Constructs a timeout exception with the specified detail message and cause.
`TimeoutException(java.lang.Throwable cause)` Constructs a timeout exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeoutException

    public TimeoutException()

### TimeoutException

    public TimeoutException(int timeoutMillis)

  Constructs a timeout exception for a given number of milliseconds.

  Parameters:
    `timeoutMillis` - the number of milliseconds that elapsed which caused this exception to be thrown

### TimeoutException

    public TimeoutException(java.lang.String message)

  Constructs a timeout exception with the specified detail message.

  Parameters:
    `message` - the detail message

### TimeoutException

    public TimeoutException(java.lang.String message,
                            java.lang.Throwable cause)

  Constructs a timeout exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message
    `cause` - the exception that caused this exception

### TimeoutException

    public TimeoutException(java.lang.Throwable cause)

  Constructs a timeout exception with the specified cause.

  Parameters:
    `cause` - the exception that caused this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD